Change bisect-run script
authorMichal Sojka <sojkam1@fel.cvut.cz>
Fri, 8 Sep 2017 08:58:30 +0000 (10:58 +0200)
committerMichal Sojka <sojkam1@fel.cvut.cz>
Fri, 8 Sep 2017 08:58:30 +0000 (10:58 +0200)
continuous/steps/bisect-run.sh

index 2785abd..2e3372d 100755 (executable)
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 
 set -e
 set -x
@@ -10,5 +10,8 @@ trap "cd $PWD/linux; git reset --hard" 0
 ./11-patch
 ./20-config
 ./30-compile
-cd ../tests
-timeout 30s ./kernelgw || ( echo Returned $?; exit 1 )
+
+#cd ../tests
+#timeout 30s ./kernelgw || ( echo Returned $?; exit 1 )
+
+timeout 30s sed -e '/Welcome to Buildroot/q0' -e '/Kernel panic/q1' <(../gw-setup/boot)